SUMO
Simulation of Urban MObility

- Home
- Download
- Documentation
- Wiki
- Trac
- Blog
- Contact
- SF-Project

# OD2TRIPS

# From 30.000 feet

OD2TRIPS imports O/D-matrices and splits them into single vehicle trips.

  Purpose: Conversion of O/D-matrices to single vehicle trips
  System: portable (Linux/Windows is tested); runs on command line
  Input (mandatory):
    A) O/D-Matrix
    B) a set of districts
  Output: A list of vehicle trip definitions
  Programming Language: c++

# Usage Description

## Options

You may use a XML schema definition file for setting up a OD2TRIPS configuration: [1].

### Configuration

All applications of the SUMO-suite handle configuration options the same way. These options are discussed at Basics/Using the Command Line Applications#Configuration Files.

Option | Description
--- | ---
-c <FILE> --configuration-file <FILE> | Loads the named config on startup
--save-configuration <FILE> | Saves current configuration into FILE
--save-template <FILE> | Saves a configuration template (empty) into FILE
--save-schema <FILE> | Saves the configuration schema into FILE
--save-commented | Adds comments to saved template, configuration, or schema; default: false

### Input

Option | Description
--- | ---
-n <FILE> --net-file <FILE> | Loads network (districts) from FILE
-d <FILE> --od-matrix-files <FILE> | Loads O/D-files from FILE(s)

### Output

Option | Description
--- | ---
-o <FILE> --output-file <FILE> | Writes trip definitions into FILE
--ignore-vehicle-type | Does not save vType information; default: false

### Time

Option | Description
--- | ---
-b <TIME> --begin <TIME> | Defines the begin time; Previous trips will be discarded; default: 0
-e <TIME> --end <TIME> | Defines the end time; Later trips will be discarded; Defaults to the maximum time that SUMO can represent; default: 2147483

### Processing

Option | Description
--- | ---
-s <FLOAT> --scale <FLOAT> | Scales the loaded flows by FLOAT; default: 1
--spread.uniform | Spreads trips uniformly over each time period; default: false
--vtype <STRING> | Defines the name of the vehicle type to use
--prefix <STRING> | Defines the prefix for vehicle names
--timeline <STRING> | Uses STR as a timeline definition
--timeline.day-in-hours | Uses STR as a 24h-timeline definition; default: false
--dismiss-loading-errors | Continue on broken input; default: false

### Defaults

Option | Description
--- | ---
--departlane <STRING> | Assigns a default depart lane; default: free
--departpos <STRING> | Assigns a default depart position
--departspeed <STRING> | Assigns a default depart speed; default: max
--arrivallane <STRING> | Assigns a default arrival lane
--arrivalpos <STRING> | Assigns a default arrival position
--arrivalspeed <STRING> | Assigns a default arrival speed

### Report

All applications of the SUMO-suite handle most of the reporting options the same way. These options are discussed at Basics/Using the Command Line Applications#Reporting Options.

Option | Description
--- | ---
-v --verbose | Switches to verbose output; default: false
-p --print-options | Prints option values before processing; default: false
-? --help | Prints this screen; default: false
-V --version | Prints the current version; default: false
-W --no-warnings | Disables output of warnings; default: false
-l <FILE> --log <FILE> | Writes all messages to FILE
--message-log <FILE> | Writes all non-error messages to FILE
--error-log <FILE> | Writes all warnings and errors to FILE

### Random Number

All applications of the SUMO-suite handle randomisation options the same way. These options are discussed at Basics/Using the Command Line Applications#Random Number Options.

Option | Description
--- | ---
--random | Initialises the random number generator with the current system time; default: false
--seed <INT> | Initialises the random number generator with the given value; default: 23423

This page was last modified on 20 August 2012, at 11:56.